import request from "@/util/oaRequest"

// 查询抄送记录列表
export function listCc(query) {
  return request({
    url: '/hrm/flow/cc/my',
    method: 'get',
    params: query
  })
}

// 标记抄送为已读
export function readCc(ccId) {
  return request({
    url: `/hrm/flow/cc/${ccId}/read`,
    method: 'post'
  })
}

// 手动抄送
export function addCc(data) {
  return request({
    url: '/hrm/flow/cc',
    method: 'post',
    data: data
  })
}

// 查询抄送记录详细
export function getCc(ccId) {
  return request({
    url: `/hrm/flow/cc/${ccId}`,
    method: 'get'
  })
}
